--
-- RealisticRefueling Script
-- author: Mander
-- date: 11.07.2022
--
-- FS25 Test on 12.11.2024
-- V1.0.0.0

print("RealisticRefueling by Mander loaded (V1.0.0.0)")

RealisticRefueling = {};

function RealisticRefueling:startLoadingModifier(fillType, fillableObject, fillUnitIndex)

	local fillTypeName = g_fillTypeManager.indexToName[fillType];
	if fillTypeName == "DIESEL" then
		self.fillLitersPerMS = 2.25/1000; -- 2.25 Liters per second -> 135 Liters per minute
	end;
end;

LoadTrigger.startLoading = Utils.prependedFunction(LoadTrigger.startLoading, RealisticRefueling.startLoadingModifier);
